*{
    margin: 0;
    padding:0;
    box-sizing: border-box;
    font-family: 'Courier New', Courier, monospace;
}

.app{
    display:flex;
    justify-content: center;
    align-items: center; 
    height: 50rem;
}

.calculator {
    background-color:rgb(231, 218, 183);
    width: 100%;
    max-width: 22rem;
    min-height:38rem;
    display:flex;
    flex-direction: column;
    border-radius: 1.5rem;
    overflow: hidden;
}

.display{
    min-height: 9rem;
    padding: 1.5rem;
    border: 1rem solid rgb(231, 218, 183);
    border-radius: 1.5rem 1.5rem 1.5rem 1.5rem ; 
    
    display: flex;
    justify-content: flex-end;
    align-items: flex-end;
    text-align: right;
    flex: 1 1 0%;
    color: crimson;
    background-color:rgb(0, 0, 0) ;
}

.display .input {
    font-size: 1.25rem;
    margin-bottom: 0.5rem;
}

.display .output{
    font-size: 2rem;
    font-weight:700;
    width:100%;
    max-width: 100%;
    overflow: auto;
}

.display .operator {
    color: rgb(0, 124, 240)
}

.display .brackets,
.display .percent {
    color:cornflowerblue
}


.keys .key {
    color:rgb(0, 0, 0);
    position: relative;
    cursor:pointer;
    display:block;
    height:0;
    padding-top: 100%;
    background-color:cornsilk;
    border-radius:0.5rem;
    user-select:none;
}

.keys .key.operator{
    color:rgb(255, 255, 255);
    position: relative;
    cursor:pointer;
    display:block;
    height:0;
    padding-top: 100%;
    background-color:cornflowerblue;
    border-radius:0.5rem;
    user-select:none;
}

.keys .key.action{
    color:rgb(255, 255, 255);
    position: relative;
    cursor:pointer;
    display:block;
    height:0;
    padding-top: 100%;
    background-color:crimson;
    border-radius:0.5rem;
    user-select:none;
}

.keys .key:hover {
    box-shadow:inset 0px 0px 8px rgba(0,0,0,0.5);
}


.keys span{
    position: absolute;
    top:50%;
    left:50%;
    transform: translate(-50%, -50%);
    font-size:1.5rem;
    font-weight:700;
}

.keys {
    background-color:rgb(51, 51, 51);
    border: 1rem solid rgb(231, 218, 183);
    padding: 1.5rem;
    border-radius:1.5rem 1.5rem 1.5rem 1.5rem;
    display:grid;
    grid-template-columns: repeat(4,1fr);
    grid-template-rows: repeat(5,1fr);
    grid-gap: 1rem;
    box-shadow: 0px -2px 1rem rgba(0,0,0,0.2);

}



